Bug 598123 - Login prompt does not appear after screen saver has been invoked
Login prompt does not appear after screen saver has been invoked
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 09:45 EDT by Andy Bentley
Modified: 2012-08-16 16:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:09:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Bentley 2010-05-31 09:45:01 EDT
Description of problem:
Upgraded to Fedora 13, now the login prompt does not come up after the screen saver was triggered.    Worked fine in Fedora 12 x86_64 on same laptop.

Version-Release number of selected component (if applicable):
Fedora 13 x86_64 on HP Pavilion 

How reproducible:  Every time.


Steps to Reproduce:
1.Start up laptop
2.Login
3.Allow screen saver to come on (wait 5 min of inactivity)
4.Touch a key or mouse (touchpad) to trigger login screen to come up.
5.Login prompt screen does not come up. Screen saver halts and shows blank scrren then goes back to screen saver.  
Actual results:


Expected results:
Login prompt will appear, and allow user to login.

Additional info:
Comment 1 Andy Bentley 2010-06-24 07:56:17 EDT
First stated that this occurs every time is incorrect.
It only happens when I have an additional monitor attached. <99% of the time>
I was on travel and discovered that if there is /no/ additional monitor, the login prompt /does/ come up after the screensaver has been triggered.
Comment 2 Andy Bentley 2010-06-24 08:04:17 EDT
Machine type is DELL Precision M6500 with ATI video

from gmesg :

acpi device:24: registered as cooling_device8
input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/device:22/LNXVIDEO:00/input/input10
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
yenta_cardbus 0000:03:01.0: CardBus bridge found [1028:02ef]
yenta_cardbus 0000:03:01.0: CardBus bridge to [bus 04-07]
yenta_cardbus 0000:03:01.0:   bridge window [io  0x2000-0x20ff]
yenta_cardbus 0000:03:01.0:   bridge window [io  0x2400-0x24ff]
yenta_cardbus 0000:03:01.0:   bridge window [mem 0xf0400000-0xf07fffff]
yenta_cardbus 0000:03:01.0:   bridge window [mem 0xf0800000-0xf0bfffff]
yenta_cardbus 0000:03:01.0: Using CSCINT to route CSC interrupts to PCI
yenta_cardbus 0000:03:01.0: Routing CardBus interrupts to PCI
yenta_cardbus 0000:03:01.0: TI: mfunc 0x01001b22, devctl 0x66
Comment 3 Dorothy Fulton 2010-07-14 13:55:33 EDT
I have this same problem ... with only a single monitor. 100% of the time.
Comment 4 Andy Bentley 2010-08-14 18:47:02 EDT
(In reply to comment #3)
> I have this same problem ... with only a single monitor. 100% of the time.

Is this with Fedora 13 64 bit or 32 bit ?
What kind of system ?  desktop or laptop ?
do a "sudo dmesg" and list out the video specs so they have more info.
Comment 5 Andy Bentley 2010-08-14 18:49:17 EDT
(In reply to comment #1)
> First stated that this occurs every time is incorrect.
> It only happens when I have an additional monitor attached. <99% of the time>
> I was on travel and discovered that if there is /no/ additional monitor, the
> login prompt /does/ come up after the screensaver has been triggered.

Correction.  This happens on the DELL only with additional monitor attached.
It happens with the HP pavillion every time, with or without additional monitor, and or when hooked up to KVM.
Comment 6 voiceover 2010-10-22 05:38:13 EDT
This also happens on an HP 6715B (RS690M) using the radeon driver. This machine had been setup with a second display but the second display has since been disabled and the configuration removed. This issue occurs when the machine is not in any way connected to a second display.

When the screen has been locked, the screen is blank and touching a key unblanks the screen, shows the fedora desktop background without any login prompt for less than 2 seconds after which the screen goes blank again. The mouse pointer can be moved around the screen but that's about it.

Dropping to a text console gives a login prompt, but just entering a (valid) username at the prompt, without having had the chance to enter any password, immediately produces the message "Login incorrect", the screen is refreshed and the login prompt reappears.

CTRL-ALT-DEL can be entered at the text console which restarts the machine. 

I was almost thinking this had something to do with pam modules but my desktop (using nVidia 8800GT) has a nearly identical (fedora 13) setup and never has exhibited this issue.
Comment 7 Andy Bentley 2010-11-30 07:54:37 EST
Upgraded to FC14, the gnome-screensaver in FC14.x86_64 has the same bug.
Comment 8 voiceover 2010-11-30 17:14:57 EST
My upgrade to FC14.x86_64 solved this issue. Besides upgrading I ran:

$ fixfiles relabel

after the upgrade. That's about all I can relate to the solution on my end.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:58:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2012-08-16 16:09:33 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.